<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Guto Lite
 * @since 1.2.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

get_header(); ?>

	<?php guto_lite_primary_content_top(); ?>

		<?php guto_lite_404_content_template(); ?>

	<?php guto_lite_primary_content_bottom(); ?>

<?php
$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

if ( $guto_lite_current_demo == 'online-health-coach'):
    $is_ohc_cta  = guto_lite_option('is_ohc_cta');
    $is_ohc_contact  = guto_lite_option('is_ohc_contact');

    if( $is_ohc_cta ):
        get_template_part( 'template-parts/footer/footer','cta-ohc' );
    endif;
    
    if( $is_ohc_contact ):
        get_template_part( 'template-parts/footer/footer','contact-info-ohc' );
    endif;
endif;

get_footer();