<?php if ( !defined( 'FW' ) ) {	wp_die(  'Forbidden' ); }

// phpcs:ignoreFile

$options = array(
	'_post_meta' => array(
		'title'		 => esc_html__( 'Course Settings', 'guto-lite' ),
		'type'		 => 'box',
		'priority'	 => 'high',
		'options'	 => array(
            'course_price'	 => array(
                'type'  => 'text',
				'label' => esc_html__('Course Price', 'guto-lite'),
				'value' => esc_html__('', 'guto-lite'),
            ),
            'course_price_time'   => array(
                'type'  => 'text',
                'label' => esc_html__('Price Time', 'guto-lite'),
                'value' => esc_html__('', 'guto-lite'),
            ),
            'course_header_image' => array(
                'label'	 => esc_html__( 'Header Image', 'guto-lite' ),
                'desc'	 => esc_html__( 'Upload a Page header image', 'guto-lite' ),
                'help'	 => esc_html__( "This is default header image.", 'guto-lite' ),
                'type'	 => 'upload'
            ),
            'post_show_course_banner'	 => array(
                'type'  => 'switch',
                'label' => esc_html__('Show Banner', 'guto-lite'),
                'value' => true,
                'left-choice' => array(
                    'value' => false,
                    'label' => esc_html__('Hide', 'guto-lite'),
                ),
                'right-choice' => array(
                    'value' => true,
                    'label' => esc_html__('Show', 'guto-lite'),
                ),
            ),
		),
	),
);
