<?php if ( !defined( 'FW' ) ) {	wp_die(  'Forbidden' ); }

// phpcs:ignoreFile

$options = array(
	'_post_meta' => array(
		'title'		 => esc_html__( 'Recipe Settings', 'guto-lite' ),
		'type'		 => 'box',
		'priority'	 => 'high',
		'options'	 => array(
			'show_recipe_banner'	 => array(
                'type'  => 'switch',
                'label' => esc_html__('Show Banner', 'guto-lite'),
                'value' => true,
                'left-choice' => array(
                    'value' => false,
                    'label' => esc_html__('Hide', 'guto-lite'),
                ),
                'right-choice' => array(
                    'value' => true,
                    'label' => esc_html__('Show', 'guto-lite'),
                ),
            ),
            'show_recipe_banner_top_title'    => array(
                'type'  => 'switch',
                'value' => true,
                'label' => esc_html__('Show Top Title', 'guto-lite'),
                'left-choice' => array(
                    'value' => false,
                    'label' => esc_html__('Hide', 'guto-lite'),
                ),
                'right-choice' => array(
                    'value' => true,
                    'label' => esc_html__('Show', 'guto-lite'),
                ),
            ),
            'recipe_banner_top_title'	 => array(
                'type'  => 'text',
				'label' => esc_html__('Banner Top Title', 'guto-lite'),
				'value' => esc_html__('SERVICES', 'guto-lite'),
            ),
            'recipe_banner_title'	 => array(
                'type'  => 'text',
                'label' => esc_html__('Banner Title', 'guto-lite'),
            ),
            'recipe_show_breadcrumb'	 => array(
                'type'  => 'switch',
                'value' => false,
                'label' => esc_html__('Show Breadcrumb', 'guto-lite'),
                'left-choice' => array(
                    'value' => false,
                    'label' => esc_html__('Hide', 'guto-lite'),
                ),
                'right-choice' => array(
                    'value' => true,
                    'label' => esc_html__('Show', 'guto-lite'),
                ),
            ),
            'recipe_header_image'	 => array(
                'label'	 => esc_html__( 'Banner Image', 'guto-lite' ),
                'desc'	 => esc_html__( 'Upload a Page header image', 'guto-lite' ),
                'help'	 => esc_html__( "This default header image.", 'guto-lite' ),
                'type'	 => 'upload'
            ),

            'recipe_video_link'	 => array(
                'type'  => 'text',
				'label' => esc_html__('Video Link', 'guto-lite'),
				'value' => esc_html__('#', 'guto-lite'),
            ),
		),
	),
);