<?php

$guto_lite_fields[]= array(
    'type'        => 'dimensions',
	'settings'    => 'banner_dimensions',
	'label'       => esc_html__( 'Banner Dimension', 'guto-lite' ),
	'section'     => 'banner_section',
	'default'     => [
		'padding-top'    => '',
		'padding-bottom' => '',
		'padding-left'   => '',
		'padding-right'  => '',
	],
	'output'      => [
		[
			'element' => ' .dm-page-banner-area',
		],
	],
);

$guto_lite_fields[]= array(
    'type'        => 'image',
	'settings'    => 'banner_shape1',
	'label'       => esc_html__( 'Banner Shape Image One', 'guto-lite' ),
	'section'     => 'banner_section',
);

$guto_lite_fields[]= array(
    'type'        => 'image',
	'settings'    => 'banner_shape2',
	'label'       => esc_html__( 'Banner Shape Image Two', 'guto-lite' ),
	'section'     => 'banner_section',
);

$guto_lite_fields[]= array(
    'type'        => 'typography',
	'settings'    => 'typography_banner_title_dm',
	'label'       => esc_html__( 'Banner Title Typography', 'guto-lite' ),
	'section'     => 'banner_section',
	'default'     => [
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'color'          => '',
		'text-transform' => 'none',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => ' .dm-page-banner-area .dm-page-banner-content h2',
		],
	],
);

$guto_lite_fields[]= array(
    'type'        => 'typography',
	'settings'    => 'typography_banner_breadcrumb_dm',
	'label'       => esc_html__( 'Banner Breadcrumb Typography', 'guto-lite' ),
	'section'     => 'banner_section',
	'default'     => [
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'color'          => '',
		'text-transform' => 'none',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => ' .dm-page-banner-area .dm-page-banner-content ul li, .dm-page-banner-area .dm-page-banner-content ul li a',
		],
	],
);