<?php
/*
 * Newsletter
 *
*/

$guto_lite_fields[]= array(
    'type'        => 'switch',
    'settings'    => 'is_newsletter',
    'label'       => esc_html__( 'Newsletter Enable', 'guto-lite' ),
    'description' => esc_html__( 'Enable/Disable option is only for Blog, Single blog and Custom posts single', 'guto-lite' ),
    'section'     => 'newsletter_section',
    'default'     => false,
    'choices'     => array(
        'on'  => esc_attr__( 'Enable', 'guto-lite' ),
        'off' => esc_attr__( 'Disable', 'guto-lite' ),
    ),
);


$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'newsletter_top_title',
    'label'       => esc_html__( 'Sub Title', 'guto-lite' ),
    'section'     => 'newsletter_section',
    'transport'   => 'postMessage',
    'js_vars'     => array(
        array(
            'element'  => '.subscribe-inner-area .sub-title, .subscribe-inner-area-two  .sub-title',
            'function' => 'html'
        ),
    ),
    'default'     => esc_html__( 'GET UPDATES', 'guto-lite' ),
);

$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'newsletter_title',
    'label'       => esc_html__( 'Title', 'guto-lite' ),
    'section'     => 'newsletter_section',
    'transport'   => 'postMessage',
    'js_vars'     => array(
        array(
            'element'  => '.subscribe-inner-area h2, .subscribe-inner-area-two h2',
            'function' => 'html'
        ),
    ),
    'default'     => esc_html__( 'Our Newsletter', 'guto-lite' ),
);

$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'newsletter_action_url',
    'label'       => esc_html__( 'Mailchimp Action URL', 'guto-lite' ),
    'section'     => 'newsletter_section',
);

$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'newsletter_pt',
    'label'       => esc_html__( 'Newsletter Placeholder Text', 'guto-lite' ),
    'section'     => 'newsletter_section',
    'default'     => esc_html__( 'Enter your email address', 'guto-lite' ),
);

$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'newsletter_button',
    'label'       => esc_html__( 'Newsletter Button Text', 'guto-lite' ),
    'section'     => 'newsletter_section',
    'default'     => esc_html__( 'Subscribe Now', 'guto-lite' ),
);

$guto_lite_fields[] = array(
	'type'        => 'image',
	'settings'    => 'newsletter_right_img',
	'label'       => esc_html__( 'Newsletter Right Shape Image', 'guto-lite' ),
	'section'     => 'newsletter_section',

);