<?php

$guto_lite_fields[]= array(
    'type'        => 'switch',
    'settings'    => 'show_free_section',
    'label'       => esc_html__( 'Show Free Section', 'guto-lite' ),
    'section'     => 'single_course_section',
    'default'     => false,
    'choices'     => array(
        true  => esc_html__( 'Enable', 'guto-lite' ),
        false => esc_html__( 'Disable', 'guto-lite' ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'image',
    'settings'    => 'free_section_image',
    'label'       => esc_html__( 'Featured Image', 'guto-lite' ),
    'section'     => 'single_course_section',
    'required'      => array(
        array(
            'setting'   => 'show_free_section',
            'operator'  => '==',
            'value'     => 1,
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'free_section_subtitle',
    'label'       => esc_html__( 'Subtitle', 'guto-lite' ),
    'section'     => 'single_course_section',
    'transport'   => 'postMessage',
    'default'     => esc_html__( "GET INSTANT ACCESS TO THE FREE", 'guto-lite' ),
    'required'      => array(
        array(
            'setting'   => 'show_free_section',
            'operator'  => '==',
            'value'     => 1,
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'free_section_title',
    'label'       => esc_html__( 'Title', 'guto-lite' ),
    'section'     => 'single_course_section',
    'transport'   => 'postMessage',
    'default'     => esc_html__( "It's Time to Dream Big", 'guto-lite' ),
    'required'      => array(
        array(
            'setting'   => 'show_free_section',
            'operator'  => '==',
            'value'     => 1,
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'textarea',
    'settings'    => 'free_section_desc',
    'label'       => esc_html__( 'Description', 'guto-lite' ),
    'section'     => 'single_course_section',
    'transport'   => 'postMessage',
    'default'     => esc_html__( "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Quis ipsum suspendisse.", 'guto-lite' ),
    'required'      => array(
        array(
            'setting'   => 'show_free_section',
            'operator'  => '==',
            'value'     => 1,
        ),
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'free_section_btn_text',
    'label'       => esc_html__( 'Button Text', 'guto-lite' ),
    'section'     => 'single_course_section',
    'transport'   => 'refresh',
    'default'     => esc_html__( 'Start for Free', 'guto-lite' ),
    'required'      => array(
        array(
            'setting'   => 'show_free_section',
            'operator'  => '==',
            'value'     => 1,
        ),
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'free_section_btn_link',
    'label'       => esc_html__( 'Button Link', 'guto-lite' ),
    'section'     => 'single_course_section',
    'transport'   => 'refresh',
    'default'     => '#',
    'required'      => array(
        array(
            'setting'   => 'show_free_section',
            'operator'  => '==',
            'value'     => 1,
        ),
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'free_section_btn_icon',
    'label'       => esc_html__( 'Button Icon', 'guto-lite' ),
    'section'     => 'single_course_section',
    'transport'   => 'refresh',
    'default'     => 'bx bx-book',
    'required'      => array(
        array(
            'setting'   => 'show_free_section',
            'operator'  => '==',
            'value'     => 1,
        ),
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'switch',
    'settings'    => 'show_contact_section',
    'label'       => esc_html__( 'Show Contact Section', 'guto-lite' ),
    'section'     => 'single_course_section',
    'default'     => false,
    'choices'     => array(
        true  => esc_html__( 'Enable', 'guto-lite' ),
        false => esc_html__( 'Disable', 'guto-lite' ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'repeater',
    'label'       => esc_html__( 'Contact Section', 'guto-lite' ),
    'section'     => 'single_course_section',
    'row_label' => array(
        'type' => 'text',
        'value' => esc_html__('Contact', 'guto-lite' ),
    ),
    'settings'    => 'contact_section_items',
    'default'     => array(
        array(
            'contact_image'  => '',
            'contact_text'   => '',
        ),
    ),
    'fields' => array(
        'contact_text' => array(
            'type'        => 'textarea',
            'label'       => esc_html__( 'Text', 'guto-lite' ),
            'default'     => '',
        ),
        'contact_image' => array(
            'type'        => 'url',
            'label'       => esc_html__( 'Icon Link', 'guto-lite' ),
            'default'     => '',
        ),
    ),
    'required'      => array(
        array(
            'setting'   => 'show_contact_section',
            'operator'  => '==',
            'value'     => 1,
        ),
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'switch',
    'settings'    => 'show_newsletter_section',
    'label'       => esc_html__( 'Show Newsletter Section', 'guto-lite' ),
    'section'     => 'single_course_section',
    'default'     => false,
    'choices'     => array(
        true  => esc_html__( 'Enable', 'guto-lite' ),
        false => esc_html__( 'Disable', 'guto-lite' ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'newsletter_section_subtitle',
    'label'       => esc_html__( 'Subtitle', 'guto-lite' ),
    'section'     => 'single_course_section',
    'transport'   => 'postMessage',
    'default'     => esc_html__( "NEWSLETTER", 'guto-lite' ),
    'required'      => array(
        array(
            'setting'   => 'show_newsletter_section',
            'operator'  => '==',
            'value'     => 1,
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'newsletter_section_title',
    'label'       => esc_html__( 'Title', 'guto-lite' ),
    'section'     => 'single_course_section',
    'transport'   => 'postMessage',
    'default'     => esc_html__( "Get Weekly Updates", 'guto-lite' ),
    'required'      => array(
        array(
            'setting'   => 'show_newsletter_section',
            'operator'  => '==',
            'value'     => 1,
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'textarea',
    'settings'    => 'newsletter_section_desc',
    'label'       => esc_html__( 'Description', 'guto-lite' ),
    'section'     => 'single_course_section',
    'transport'   => 'postMessage',
    'default'     => esc_html__( "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Quis ipsum suspendisse.", 'guto-lite' ),
    'required'      => array(
        array(
            'setting'   => 'show_newsletter_section',
            'operator'  => '==',
            'value'     => 1,
        ),
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'url',
    'settings'    => 'newsletter_section_action_url',
    'label'       => esc_html__( 'Action URL', 'guto-lite' ),
    'section'     => 'single_course_section',
    'transport'   => 'refresh',
    'default'     => esc_html__( '', 'guto-lite' ),
    'required'      => array(
        array(
            'setting'   => 'show_newsletter_section',
            'operator'  => '==',
            'value'     => 1,
        ),
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'newsletter_section_btn_text',
    'label'       => esc_html__( 'Button Text', 'guto-lite' ),
    'section'     => 'single_course_section',
    'transport'   => 'refresh',
    'default'     => esc_html__( 'Subscribe Now', 'guto-lite' ),
    'required'      => array(
        array(
            'setting'   => 'show_newsletter_section',
            'operator'  => '==',
            'value'     => 1,
        ),
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'newsletter_section_btn_icon',
    'label'       => esc_html__( 'Button Icon', 'guto-lite' ),
    'section'     => 'single_course_section',
    'transport'   => 'refresh',
    'default'     => 'bx bx-paper-plane',
    'required'      => array(
        array(
            'setting'   => 'show_newsletter_section',
            'operator'  => '==',
            'value'     => 1,
        ),
    ),
);
