<?php
/**
 * Template for displaying categories of course in primary-meta section.
 *
 * @author  ThimPress
 * @package LearnPress/Templates
 * @version 4.0.0
 */

defined( 'ABSPATH' ) || exit;

$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

if( $guto_lite_current_demo == 'online-education' || $guto_lite_current_demo == 'online-health-coach' ) : ?>
	<div class="meta-item meta-item-categories">
		<div class="meta-item__value">
			<label><?php esc_html_e( 'Category', 'guto-lite' ); ?></label>
			<div>
				<?php
				if ( ! get_the_terms( get_the_ID(), 'course_category' ) ) {
					esc_html_e( 'Uncategorized', 'guto-lite' );
				} else {
					echo get_the_term_list( get_the_ID(), 'course_category', '', '<span>|</span>' );
				}
				?>
			</div>
		</div>
	</div>
<?php endif; ?>
