<?php if ( !defined( 'FW' ) ) {	wp_die(  'Forbidden' ); }

// phpcs:ignoreFile

$options = array(
	'_post_meta' => array(
		'title'		 => __( 'Course Settings', 'guto-lite' ),
		'type'		 => 'box',
		'priority'	 => 'high',
		'options'	 => array(
			'course_show_page_banner'	 => array(
                'type'  => 'switch',
                'label' => esc_html__('Show Banner', 'guto-lite'),
                'value' => true,
                'left-choice' => array(
                    'value' => false,
                    'label' => esc_html__('Hide', 'guto-lite'),
                ),
                'right-choice' => array(
                    'value' => true,
                    'label' => esc_html__('Show', 'guto-lite'),
                ),
            ),
            'course_show_breadcrumb'	 => array(
                'type'  => 'switch',
                'value' => false,
                'label' => esc_html__('Show Breadcrumb', 'guto-lite'),
                'left-choice' => array(
                    'value' => false,
                    'label' => esc_html__('Hide', 'guto-lite'),
                ),
                'right-choice' => array(
                    'value' => true,
                    'label' => esc_html__('Show', 'guto-lite'),
                ),

            ),
            'course_header_image'	 => array(
                'label'	 => esc_html__( ' Banner Image', 'guto-lite' ),
                'desc'	 => esc_html__( 'Upload a Post header image', 'guto-lite' ),
                'help'	 => esc_html__( "This default header image.", 'guto-lite' ),
                'type'	 => 'upload'
            ),
            'single_course_preview_title'	 => array(
                'type'  => 'text',
				'label' => esc_html__('Single Preview Title', 'guto-lite'),
				'value' => esc_html__('Course Preview', 'guto-lite'),
            ),
            'single_video_link'	 => array(
                'type'  => 'text',
				'label' => esc_html__('Preview YouTube Video Link', 'guto-lite'),
				'value' => esc_html__('#', 'guto-lite'),
            ),
            'single_duration'	 => array(
                'type'  => 'text',
				'label' => esc_html__('Course Duration', 'guto-lite'),
				'value' => esc_html__('7 weeks', 'guto-lite'),
            ),
            'single_access'	 => array(
                'type'  => 'text',
				'label' => esc_html__('Course Access', 'guto-lite'),
				'value' => esc_html__('Lifetime', 'guto-lite'),
            ),
		),
	),
);
