<?php

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'banner_bg_color',
    'label'       => esc_html__( 'Background Color', 'guto-lite' ),
    'section'     => 'banner_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element'   => '.lc-page-title-area',
            'property'  => 'background-color',
        ),
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'dimensions',
	'settings'    => 'banner_dimensions',
	'label'       => esc_html__( 'Banner Dimension', 'guto-lite' ),
	'section'     => 'banner_section',
	'default'     => [
		'padding-top'    => '',
		'padding-bottom' => '',
		'padding-left'   => '',
		'padding-right'  => '',
	],
	'output'      => [
		[
			'element' => '.lc-page-title-area',
		],
	],
);

$guto_lite_fields[]= array(
    'type'        => 'typography',
	'settings'    => 'typography_banner_title_lc',
	'label'       => esc_html__( 'Banner Title Typography', 'guto-lite' ),
	'section'     => 'banner_section',
	'default'     => [
		'font-family'    => '',
		'variant'        => '',
		'font-size'      => '',
		'line-height'    => '',
		'letter-spacing' => '',
		'color'          => '',
		'text-transform' => 'none',
	],
	'transport'   => 'auto',
	'output'      => [
		[
			'element' => '.lc-page-title-area h2',
		],
	],
);
