<?php

$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'shop_hide_banner',
    'label'       => esc_html__( 'Enable Banner', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
);

$guto_lite_fields[] = array(
    'type'        => 'number',
    'settings'    => 'product_count',
    'label'       => esc_html__( 'Number of Products per Page on Product Pages.', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => 8,
);

$guto_lite_fields[] = array(
    'type'        => 'number',
    'settings'    => 'product_column',
    'label'       => esc_html__( 'Products Column', 'guto-lite' ),
    'section'     => 'shop_section',
    'default'     => 3,
);

$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_product_share',
    'label'       => esc_html__( 'Enable Product Share', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
);

$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'product_share_title',
    'label'       => esc_html__( 'Product Share Title', 'guto-lite' ),
    'section'     => 'shop_section',
    'required'      => array(
        array(
            'setting'   => 'enable_product_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_product_fb',
    'label'       => esc_html__( 'Enable Product Share on Facebook', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_product_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_product_tw',
    'label'       => esc_html__( 'Enable Product Share on Twitter', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_product_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_product_ld',
    'label'       => esc_html__( 'Enable Product Share on LinkedIn', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_product_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_product_wp',
    'label'       => esc_html__( 'Enable Product Share on WhatsApp', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_product_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_product_email',
    'label'       => esc_html__( 'Enable Product Share on Email', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_product_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_product_cp',
    'label'       => esc_html__( 'Enable Product Share on Copy Link', 'guto-lite' ),
    'section'     => 'shop_section',
	'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_product_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);
