<?php

$guto_lite_fields[]= array(
    'type'        => 'switch',
    'settings'    => 'is_instagram',
    'label'       => esc_html__( 'Instagram Enable', 'guto-lite' ),
    'section'     => 'instagram_section',
    'default'     => false,
    'choices'     => array(
        'on'  => esc_attr__( 'Enable', 'guto-lite' ),
        'off' => esc_attr__( 'Disable', 'guto-lite' ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'text',
    'settings'    => 'instagram_title',
    'label'       => esc_html__( 'Instagram Title', 'guto-lite' ),
    'default'     => '',
    'section'     => 'instagram_section',
    'required'      => array(
        array(
            'setting'   => 'is_instagram',
            'operator'  => '!=',
            'value'     => false,
        )
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'repeater',
    'label'       => esc_html__( 'Instagram Control', 'guto-lite' ),
    'section'     => 'instagram_section',
    'priority'    => 10,
    'row_label' => array(
        'type' => 'text',
        'value' => esc_html__('Add Items', 'guto-lite' ),
    ),
    'settings'    => 'footer_instagram_list',
    'fields' => array(
        'ins_image' => array(
            'type'        => 'image',
            'label'       => esc_html__( 'Image', 'guto-lite' ),
        ),
        'ins_url' => array(
            'type'        => 'text',
            'label'       => esc_html__( 'Link', 'guto-lite' ),
            'default'     => '',
        ),
    ),
    'required'      => array(
        array(
            'setting'   => 'is_instagram',
            'operator'  => '!=',
            'value'     => false,
        )
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'ins_title_color',
    'label'       => esc_html__( 'Title Color', 'guto-lite' ),
    'section'     => 'instagram_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.rb-section-title h2',
            'property'	=> 'color',
        ),
    ),
    'required'      => array(
        array(
            'setting'   => 'is_instagram',
            'operator'  => '!=',
            'value'     => false,
        )
    ),
);


