<?php

$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'rb_read_text',
    'label'       => esc_html__( 'Reading Time Text', 'guto-lite' ),
    'section'     => 'recipe_section',
);
$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'by_text',
    'label'       => esc_html__( 'By Text', 'guto-lite' ),
    'section'     => 'recipe_section',
);
$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'prev_text',
    'label'       => esc_html__( 'Previous Post Text', 'guto-lite' ),
    'section'     => 'recipe_section',
);
$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'next_text',
    'label'       => esc_html__( 'Next Post Text', 'guto-lite' ),
    'section'     => 'recipe_section',
);

$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_recipe_share',
    'label'       => esc_html__( 'Enable Recipe Share', 'guto-lite' ),
    'section'     => 'recipe_section',
    'default'     => true,
);
$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'share_text',
    'label'       => esc_html__( 'Share Title', 'guto-lite' ),
    'section'     => 'recipe_section',
    'required'      => array(
        array(
            'setting'   => 'enable_recipe_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_rs_fb',
    'label'       => esc_html__( 'Enable Recipe Share on Facebook', 'guto-lite' ),
    'section'     => 'recipe_section',
    'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_recipe_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_rs_tw',
    'label'       => esc_html__( 'Enable Recipe Share on Twitter', 'guto-lite' ),
    'section'     => 'recipe_section',
    'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_recipe_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_rs_ld',
    'label'       => esc_html__( 'Enable Recipe Share on LinkedIn', 'guto-lite' ),
    'section'     => 'recipe_section',
    'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_recipe_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_rs_wp',
    'label'       => esc_html__( 'Enable Recipe Share on WhatsApp', 'guto-lite' ),
    'section'     => 'recipe_section',
    'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_recipe_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_rs_email',
    'label'       => esc_html__( 'Enable Recipe Share on Email', 'guto-lite' ),
    'section'     => 'recipe_section',
    'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_recipe_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'checkbox',
    'settings'    => 'enable_rs_cp',
    'label'       => esc_html__( 'Enable Recipe Share on Copy Link', 'guto-lite' ),
    'section'     => 'recipe_section',
    'default'     => true,
    'required'      => array(
        array(
            'setting'   => 'enable_recipe_share',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
);

// Related post
$guto_lite_fields[]= array(
    'type'        => 'switch',
    'settings'    => 'enable_recipe_rel_post',
    'label'       => esc_html__( 'Enable Related Posts', 'guto-lite' ),
    'section'     => 'recipe_section',
    'default'     => false,
    'choices'     => array(
        'on'  => esc_attr__( 'Enable', 'guto-lite' ),
        'off' => esc_attr__( 'Disable', 'guto-lite' ),
    ),
);
$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'related_recipe_title',
    'label'       => esc_html__( 'Related Posts Title', 'guto-lite' ),
    'section'     => 'recipe_section',
    'required'      => array(
        array(
            'setting'   => 'enable_recipe_rel_post',
            'operator'  => '==',
            'value'     => 1,
        )
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'related_recipe_post',
    'label'       => esc_html__( 'Related Posts Count', 'guto-lite' ),
    'section'     => 'recipe_section',
    'required'      => array(
        array(
            'setting'   => 'enable_recipe_rel_post',
            'operator'  => '==',
            'value'     => 1,
        )
    ),
);
$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'related_excerpt',
    'label'       => esc_html__( 'Posts Excerpt Number ', 'guto-lite' ),
    'section'     => 'recipe_section',
    'required'      => array(
        array(
            'setting'   => 'enable_recipe_rel_post',
            'operator'  => '==',
            'value'     => 1,
        )
    ),
);
$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'related_read_text',
    'label'       => esc_html__( 'Related Post Reading Text ', 'guto-lite' ),
    'section'     => 'recipe_section',
    'required'      => array(
        array(
            'setting'   => 'enable_recipe_rel_post',
            'operator'  => '==',
            'value'     => 1,
        )
    ),
);

