<?php
$guto_lite_current_demo = get_option( 'guto_lite_current_demo' );

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'primary_color',
    'label'       => esc_html__( 'Theme Primary Color', 'guto-lite' ),
    'section'     => 'styling_section',
	'default'     => '#4237dc',
);

if ( $guto_lite_current_demo != 'freelancer'):

    $guto_lite_fields[] = array(
        'type'        => 'color',
        'settings'    => 'secondary_color',
        'label'       => esc_html__( 'Theme Secondary Color', 'guto-lite' ),
        'section'     => 'styling_section',
        'default'     => '#e82b2b',
    );
    
endif;

if ( $guto_lite_current_demo != 'digital-marketing'):
    $guto_lite_fields[] = array(
        'type'        => 'color',
        'settings'    => 'default_btn_color',
        'label'       => esc_html__( 'Theme Default Button Background Color', 'guto-lite' ),
        'section'     => 'styling_section',
        'transport'   => 'auto',
        'output'      => array(
            array(
                'element' 	=> '.default-btn, .cws-default-btn, .fl-default-btn, .fls-default-btn, .ohc-default-btn',
                'property'	=> 'background-color',
            ),
        ),
    );

    $guto_lite_fields[] = array(
        'type'        => 'color',
        'settings'    => 'default_btn_hover_color',
        'label'       => esc_html__( 'Theme Default Hover Button Background Color', 'guto-lite' ),
        'section'     => 'styling_section',
        'transport'   => 'auto',
        'output'      => array(
            array(
                'element' 	=> '.default-btn:hover, .cws-default-btn:hover, .cws-default-btn::before, .fl-default-btn:hover, .fls-default-btn:hover, .ohc-default-btn:hover',
                'property'	=> 'background-color',
            ),
        ),
    );
endif;

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'paragraph_color',
    'label'       => esc_html__( 'Paragraph Color', 'guto-lite' ),
    'section'     => 'styling_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> 'p',
            'property'	=> 'color',
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'heading_color',
    'label'       => esc_html__( 'Heading Color', 'guto-lite' ),
    'section'     => 'styling_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> 'h1, h2, h3, h4, h5, h6',
            'property'	=> 'color',
        ),
    ),
);
